=head1 NAME

Gnome2::Wnck::Window

=cut

=head1 HIERARCHY

  Glib::Object
  +----Gnome2::Wnck::Window



=cut


=head1 METHODS

=head2 windowactions = $window-E<gt>B<get_actions> 

=head2 $window-E<gt>B<activate> ($timestamp)

=over

=item * $timestamp (unsigned) 

=back

=head2 $window-E<gt>B<activate_transient> ($timestamp)

=over

=item * $timestamp (unsigned) 

=back

=head2 application = $window-E<gt>B<get_application> 

=head2 classgroup = $window-E<gt>B<get_class_group> 

=head2 (x, y, width, height) = $window-E<gt>B<get_client_window_geometry> 

=head2 $window-E<gt>B<close> ($timestamp)

=over

=item * $timestamp (unsigned) 

=back

=head2 widget = $window-E<gt>B<create_action_menu> 

=head2 $window-E<gt>B<set_fullscreen> ($fullscreen)

=over

=item * $fullscreen (boolean) 

=back

=head2 (xp, yp, widthp, heightp) = $window-E<gt>B<get_geometry> 

=head2 $window-E<gt>B<set_geometry> ($gravity, $geometry_mask, $x, $y, $width, $height)

=over

=item * $gravity (Gnome2::Wnck::WindowGravity) 

=item * $geometry_mask (Gnome2::Wnck::WindowMoveResizeMask) 

=item * $x (integer) 

=item * $y (integer) 

=item * $width (integer) 

=item * $height (integer) 

=back

=head2 window = Gnome2::Wnck::Window-E<gt>B<get> ($xwindow)

=over

=item * $xwindow (unsigned) 

=back

=head2 unsigned = $window-E<gt>B<get_group_leader> 

=head2 $window-E<gt>B<set_icon_geometry> ($x, $y, $width, $height)

=over

=item * $x (integer) 

=item * $y (integer) 

=item * $width (integer) 

=item * $height (integer) 

=back

=head2 pixbuf = $window-E<gt>B<get_icon> 

=head2 boolean = $window-E<gt>B<get_icon_is_fallback> 

=head2 string = $window-E<gt>B<get_icon_name> 

=head2 boolean = $window-E<gt>B<is_above> 

=head2 boolean = $window-E<gt>B<is_active> 

=head2 boolean = $window-E<gt>B<is_below> 

=head2 boolean = $window-E<gt>B<is_fullscreen> 

=head2 boolean = $window-E<gt>B<is_in_viewport> ($workspace)

=over

=item * $workspace (Gnome2::Wnck::Workspace) 

=back

=head2 boolean = $window-E<gt>B<is_maximized> 

=head2 boolean = $window-E<gt>B<is_maximized_horizontally> 

=head2 boolean = $window-E<gt>B<is_maximized_vertically> 

=head2 boolean = $window-E<gt>B<is_minimized> 

=head2 boolean = $window-E<gt>B<is_most_recently_activated> 

=head2 boolean = $window-E<gt>B<is_on_workspace> ($workspace)

=over

=item * $workspace (Gnome2::Wnck::Workspace) 

=back

=head2 boolean = $window-E<gt>B<is_pinned> 

=head2 boolean = $window-E<gt>B<is_shaded> 

=head2 boolean = $window-E<gt>B<is_skip_pager> 

=head2 boolean = $window-E<gt>B<is_skip_tasklist> 

=head2 boolean = $window-E<gt>B<is_sticky> 

=head2 boolean = $window-E<gt>B<is_visible_on_workspace> ($workspace)

=over

=item * $workspace (Gnome2::Wnck::Workspace) 

=back

=head2 $window-E<gt>B<keyboard_move> 

=head2 $window-E<gt>B<keyboard_size> 

=head2 $window-E<gt>B<make_above> 

=head2 $window-E<gt>B<make_below> 

=head2 $window-E<gt>B<maximize> 

=head2 $window-E<gt>B<maximize_horizontally> 

=head2 $window-E<gt>B<maximize_vertically> 

=head2 pixbuf = $window-E<gt>B<get_mini_icon> 

=head2 $window-E<gt>B<minimize> 

=head2 $window-E<gt>B<move_to_workspace> ($space)

=over

=item * $space (Gnome2::Wnck::Workspace) 

=back

=head2 string = $window-E<gt>B<get_name> 

=head2 boolean = $window-E<gt>B<needs_attention> 

=head2 boolean = $window-E<gt>B<or_transient_needs_attention> 

=head2 integer = $window-E<gt>B<get_pid> 

=head2 $window-E<gt>B<pin> 

=head2 screen = $window-E<gt>B<get_screen> 

=head2 string = $window-E<gt>B<get_session_id> 

=head2 string = $window-E<gt>B<get_session_id_utf8> 

=head2 $window-E<gt>B<shade> 

=head2 $window-E<gt>B<set_skip_pager> ($skip)

=over

=item * $skip (boolean) 

=back

=head2 $window-E<gt>B<set_skip_tasklist> ($skip)

=over

=item * $skip (boolean) 

=back

=head2 integer = $window-E<gt>B<get_sort_order> 

=head2 $window-E<gt>B<set_sort_order> ($order)

=over

=item * $order (integer) 

=back

=head2 windowstate = $window-E<gt>B<get_state> 

=head2 $window-E<gt>B<stick> 

=head2 window = $window-E<gt>B<get_transient> 

=head2 boolean = $window-E<gt>B<transient_is_most_recently_activated> 

=head2 $window-E<gt>B<unmake_above> 

=head2 $window-E<gt>B<unmake_below> 

=head2 $window-E<gt>B<unmaximize> 

=head2 $window-E<gt>B<unmaximize_horizontally> 

=head2 $window-E<gt>B<unmaximize_vertically> 

=head2 $window-E<gt>B<unminimize> ($timestamp)

=over

=item * $timestamp (unsigned) 

=back

=head2 $window-E<gt>B<unpin> 

=head2 $window-E<gt>B<unshade> 

=head2 $window-E<gt>B<unstick> 

=head2 windowtype = $window-E<gt>B<get_window_type> 

=head2 $window-E<gt>B<set_window_type> ($wintype)

=over

=item * $wintype (Gnome2::Wnck::WindowType) 

=back

=head2 workspace = $window-E<gt>B<get_workspace> 

=head2 unsigned = $window-E<gt>B<get_xid> 



=cut


=head1 SIGNALS

=over

=item B<actions-changed> (Gnome2::Wnck::Window, Gnome2::Wnck::WindowActions, Gnome2::Wnck::WindowActions)

=item B<geometry-changed> (Gnome2::Wnck::Window)

=item B<icon-changed> (Gnome2::Wnck::Window)

=item B<name-changed> (Gnome2::Wnck::Window)

=item B<state-changed> (Gnome2::Wnck::Window, Gnome2::Wnck::WindowState, Gnome2::Wnck::WindowState)

=item B<workspace-changed> (Gnome2::Wnck::Window)

=back



=cut


=head1 ENUMS AND FLAGS

=head2 flags Gnome2::Wnck::WindowActions

=over

=item * 'move' / 'WNCK_WINDOW_ACTION_MOVE'

=item * 'resize' / 'WNCK_WINDOW_ACTION_RESIZE'

=item * 'shade' / 'WNCK_WINDOW_ACTION_SHADE'

=item * 'stick' / 'WNCK_WINDOW_ACTION_STICK'

=item * 'maximize-horizontally' / 'WNCK_WINDOW_ACTION_MAXIMIZE_HORIZONTALLY'

=item * 'maximize-vertically' / 'WNCK_WINDOW_ACTION_MAXIMIZE_VERTICALLY'

=item * 'change-workspace' / 'WNCK_WINDOW_ACTION_CHANGE_WORKSPACE'

=item * 'close' / 'WNCK_WINDOW_ACTION_CLOSE'

=item * 'unmaximize-horizontally' / 'WNCK_WINDOW_ACTION_UNMAXIMIZE_HORIZONTALLY'

=item * 'unmaximize-vertically' / 'WNCK_WINDOW_ACTION_UNMAXIMIZE_VERTICALLY'

=item * 'unshade' / 'WNCK_WINDOW_ACTION_UNSHADE'

=item * 'unstick' / 'WNCK_WINDOW_ACTION_UNSTICK'

=item * 'minimize' / 'WNCK_WINDOW_ACTION_MINIMIZE'

=item * 'unminimize' / 'WNCK_WINDOW_ACTION_UNMINIMIZE'

=item * 'maximize' / 'WNCK_WINDOW_ACTION_MAXIMIZE'

=item * 'unmaximize' / 'WNCK_WINDOW_ACTION_UNMAXIMIZE'

=item * 'fullscreen' / 'WNCK_WINDOW_ACTION_FULLSCREEN'

=item * 'above' / 'WNCK_WINDOW_ACTION_ABOVE'

=item * 'below' / 'WNCK_WINDOW_ACTION_BELOW'

=back


=head2 enum Gnome2::Wnck::WindowGravity

=over

=item * 'current' / 'WNCK_WINDOW_GRAVITY_CURRENT'

=item * 'northwest' / 'WNCK_WINDOW_GRAVITY_NORTHWEST'

=item * 'north' / 'WNCK_WINDOW_GRAVITY_NORTH'

=item * 'northeast' / 'WNCK_WINDOW_GRAVITY_NORTHEAST'

=item * 'west' / 'WNCK_WINDOW_GRAVITY_WEST'

=item * 'center' / 'WNCK_WINDOW_GRAVITY_CENTER'

=item * 'east' / 'WNCK_WINDOW_GRAVITY_EAST'

=item * 'southwest' / 'WNCK_WINDOW_GRAVITY_SOUTHWEST'

=item * 'south' / 'WNCK_WINDOW_GRAVITY_SOUTH'

=item * 'southeast' / 'WNCK_WINDOW_GRAVITY_SOUTHEAST'

=item * 'static' / 'WNCK_WINDOW_GRAVITY_STATIC'

=back


=head2 flags Gnome2::Wnck::WindowMoveResizeMask

=over

=item * 'x' / 'WNCK_WINDOW_CHANGE_X'

=item * 'y' / 'WNCK_WINDOW_CHANGE_Y'

=item * 'width' / 'WNCK_WINDOW_CHANGE_WIDTH'

=item * 'height' / 'WNCK_WINDOW_CHANGE_HEIGHT'

=back


=head2 flags Gnome2::Wnck::WindowState

=over

=item * 'minimized' / 'WNCK_WINDOW_STATE_MINIMIZED'

=item * 'maximized-horizontally' / 'WNCK_WINDOW_STATE_MAXIMIZED_HORIZONTALLY'

=item * 'maximized-vertically' / 'WNCK_WINDOW_STATE_MAXIMIZED_VERTICALLY'

=item * 'shaded' / 'WNCK_WINDOW_STATE_SHADED'

=item * 'skip-pager' / 'WNCK_WINDOW_STATE_SKIP_PAGER'

=item * 'skip-tasklist' / 'WNCK_WINDOW_STATE_SKIP_TASKLIST'

=item * 'sticky' / 'WNCK_WINDOW_STATE_STICKY'

=item * 'hidden' / 'WNCK_WINDOW_STATE_HIDDEN'

=item * 'fullscreen' / 'WNCK_WINDOW_STATE_FULLSCREEN'

=item * 'demands-attention' / 'WNCK_WINDOW_STATE_DEMANDS_ATTENTION'

=item * 'urgent' / 'WNCK_WINDOW_STATE_URGENT'

=item * 'above' / 'WNCK_WINDOW_STATE_ABOVE'

=item * 'below' / 'WNCK_WINDOW_STATE_BELOW'

=back


=head2 enum Gnome2::Wnck::WindowType

=over

=item * 'normal' / 'WNCK_WINDOW_NORMAL'

=item * 'desktop' / 'WNCK_WINDOW_DESKTOP'

=item * 'dock' / 'WNCK_WINDOW_DOCK'

=item * 'dialog' / 'WNCK_WINDOW_DIALOG'

=item * 'toolbar' / 'WNCK_WINDOW_TOOLBAR'

=item * 'menu' / 'WNCK_WINDOW_MENU'

=item * 'utility' / 'WNCK_WINDOW_UTILITY'

=item * 'splashscreen' / 'WNCK_WINDOW_SPLASHSCREEN'

=back




=cut


=head1 SEE ALSO

L<Gnome2::Wnck>, L<Glib::Object>


=cut


=head1 COPYRIGHT

Copyright (C) 2003-2006 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gnome2::Wnck> for a full
notice.



=cut

